Bug 12393 - OverDrive does not depend on SSL modules for LWP, causing searches to fail
Summary: OverDrive does not depend on SSL modules for LWP, causing searches to fail
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Jesse Weaver
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-10 01:13 UTC by Jesse Weaver
Modified: 2015-06-04 23:30 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 12393 - Depend on SSL module for LWP, for OverDrive (2.78 KB, patch)
2014-06-10 04:55 UTC, Jesse Weaver
Details | Diff | Splinter Review
Bug 12393 - Depend on SSL module for LWP, for OverDrive (2.83 KB, patch)
2014-06-18 20:46 UTC, Chris Cormack
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 12393 - Depend on SSL module for LWP, for OverDrive (2.94 KB, patch)
2014-06-19 16:09 UTC, Owen Leonard
Details | Diff | Splinter Review
[PASSED QA] Bug 12393 - Depend on SSL module for LWP, for OverDrive (2.98 KB, patch)
2014-06-19 20:50 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Weaver 2014-06-10 01:13:40 UTC
Koha needs to list IO::Socket::SSL and Crypt::SSLeay as dependencies; if these modules are not installed, the OverDrive code cannot get an authentication token over SSL.
Comment 1 Jesse Weaver 2014-06-10 01:23:04 UTC
Misspoke, seems only IO::Socket::SSL is required.
Comment 2 Jesse Weaver 2014-06-10 04:55:24 UTC Comment hidden (obsolete)
Comment 3 Chris Cormack 2014-06-18 20:46:16 UTC Comment hidden (obsolete)
Comment 4 Owen Leonard 2014-06-19 16:09:28 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2014-06-19 20:50:39 UTC
Created attachment 29061 [details] [review]
[PASSED QA] Bug 12393 - Depend on SSL module for LWP, for OverDrive

The OverDrive integration needs to connect to an authentication server
over HTTPS, and many systems do not install the necessary module
(LWP::Protocol::https) by default.

Test plan (for patch):
  1) Run koha_perl_deps.pl -a, verify that LWP::Protocol::https appears in
     listing.

Test plan (to verify that LWP::Protocol::https is necessary, needs OverDrive access):
  1) Remove LWP::Protocol::https (liblwp-protocol-https-perl under Debian).
  2) Run an OverDrive search on the OPAC, it should fail.
  3) Reinstall LWP::Protocol::https.
  4) Rerun OverDrive search, it should now succeed.

Note: older versions of Debian do not need to install LWP::Protocol::https separately;
the Debian scripts have been updated to reflect this divide.

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Passes all tests and QA script.
Comment 6 Tomás Cohen Arazi 2014-06-22 23:36:19 UTC
Patch pushed to master.

Thanks Jesse!
Comment 7 Galen Charlton 2014-06-25 22:28:16 UTC
Pushed to 3.16.x for inclusion in 3.16.1.